Bug 28016 - Replace obsolete title-string sorting: Assorted templates
Summary: Replace obsolete title-string sorting: Assorted templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-22 16:35 UTC by Owen Leonard
Modified: 2021-04-19 09:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28016: Replace obsolete title-string sorting: Assorted templates (9.22 KB, patch)
2021-03-22 17:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28016: Replace obsolete title-string sorting: Assorted templates (9.25 KB, patch)
2021-03-23 15:41 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28016: Replace obsolete title-string sorting: Assorted templates (9.33 KB, patch)
2021-03-27 16:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-22 16:35:17 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/patron_lists/list.tt
  intranet-tmpl/prog/en/modules/cataloguing/additem.tt
  intranet-tmpl/prog/en/modules/reserve/request.tt
  intranet-tmpl/prog/en/modules/tags/review.tt
Comment 1 Owen Leonard 2021-03-22 17:53:40 UTC
Created attachment 118619 [details] [review]
Bug 28016: Replace obsolete title-string sorting: Assorted templates

This patch modifies various templates to replace the use of the
"title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Cataloging -> Edit items
  - Easiest to test with an title with many items. You can follow the
    "Edit items" link from search results.
- Tools -> Patron lists
  - View the contents of a patron list
- Catalog -> Place hold
  - Locate a title with multiple items and check out each item with a
    different due date.
  - Start the process of placing a hold on that title for a patron.
  - On the "Place hold" screen, check the table of "specific" items and
    test sorting of the "Information" column by date due.
- Tools -> Tags
Comment 2 Amit Gupta 2021-03-23 15:41:53 UTC
Created attachment 118672 [details] [review]
Bug 28016: Replace obsolete title-string sorting: Assorted templates

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Cataloging -> Edit items
  - Easiest to test with an title with many items. You can follow the
    "Edit items" link from search results.
- Tools -> Patron lists
  - View the contents of a patron list
- Catalog -> Place hold
  - Locate a title with multiple items and check out each item with a
    different due date.
  - Start the process of placing a hold on that title for a patron.
  - On the "Place hold" screen, check the table of "specific" items and
    test sorting of the "Information" column by date due.
- Tools -> Tags
Comment 3 Katrin Fischer 2021-03-27 16:14:23 UTC
Created attachment 118911 [details] [review]
Bug 28016: Replace obsolete title-string sorting: Assorted templates

This patch modifies various templates to replace the use of the
"title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Cataloging -> Edit items
  - Easiest to test with an title with many items. You can follow the
    "Edit items" link from search results.
- Tools -> Patron lists
  - View the contents of a patron list
- Catalog -> Place hold
  - Locate a title with multiple items and check out each item with a
    different due date.
  - Start the process of placing a hold on that title for a patron.
  - On the "Place hold" screen, check the table of "specific" items and
    test sorting of the "Information" column by date due.
- Tools -> Tags

Signed-off-by: Amit Gupta <amitddng135@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-06 13:59:09 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-19 09:30:57 UTC
Enhancement not pushed to 20.11.x